name = "Reset Camera"
description = "The mod returns the camera rotation to default when you press a hotkey."
author = "Danzo"
version = "1.0.2"

forumthread = ""

api_version = 6
api_version_dst = 10

-- Compatible with the base game, RoG, SW, HAM, and DST
dont_starve_compatible = true
reign_of_giants_compatible = true
shipwrecked_compatible = true
hamlet_compatible = true
dst_compatible = true

icon_atlas = "resetcamera.xml"
icon = "resetcamera.tex"

--These let clients know if they need to get the mod from the Steam Workshop to join the game
all_clients_require_mod = false

--This determines whether it causes a server to be marked as modded (and shows in the mod list)
client_only_mod = true

--This lets people search for servers with this mod by these tags
server_filter_tags = {}

local KEY_A = 65
local keyslist = {}
local string = ""
for i = 1, 26 do
	local ch = string.char(KEY_A + i - 1)
	keyslist[i] = {description = ch, data = ch}
end

configuration_options =
{
    {
        name = "KEY_RECAM",
        label = "Hotkey for reset camera",
        options = keyslist,
        default = "C",
    },    
}