local _G = GLOBAL
local KEY_RECAM = GetModConfigData("KEY_RECAM")
if type(KEY_RECAM) == "string" then
	KEY_RECAM = KEY_RECAM:lower():byte()
end

local function GetActiveScreenName()
	local screen = _G.TheFrontEnd:GetActiveScreen()
	return screen and screen.name or ""
end

local function IsDefaultScreen()
	return GetActiveScreenName():find("HUD") ~= nil
end

local function ResetCamera()
	if IsDefaultScreen() then
        _G.TheCamera:SetHeadingTarget(45)
	end
end

_G.TheInput:AddKeyDownHandler(KEY_RECAM, ResetCamera)